MWAWPictMac Class Reference documentation

Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Friends | List of all members
MWAWPictMac Class Reference

Class to read/store a Mac Pict1.0/2.0. More...

`#include <MWAWPictMac.hxx>`

Inheritance diagram for MWAWPictMac:

## Public Member Functions
virtual | ~MWAWPictMac ()
| destructor More...
virtual SubType | getSubType () const
| returns the picture subtype More...
virtual bool | getBinary (MWAWEmbeddedObject &picture) const
| returns the final picture More...
virtual bool | valid () const
| returns true if the picture is valid More...
virtual int | cmp (MWAWPict const &a) const
| a virtual function used to obtain a strict order, must be redefined in the subs class More...
Public Member Functions inherited from MWAWPictData
| ~MWAWPictData ()
| destructor More...
virtual Type | getType () const
| returns the picture type More...
virtual bool | sure () const
| returns true if we are relatively sure that the data are correct More...
bool | isEmpty () const
| returns true if the picture is valid and has size 0 or contains no data More...
Public Member Functions inherited from MWAWPict
virtual | ~MWAWPict ()
| virtual destructor More...
MWAWBox2f | getBdBox () const
| returns the bdbox of the picture More...
void | setBdBox (MWAWBox2f const &box)
| sets the bdbox of the picture More...

## Static Public Member Functions
static bool | convertPict1To2 (librevenge::RVNGBinaryData const &orig, librevenge::RVNGBinaryData &result)
| convert a Pict1.0 in Pict2.0, if possible More...
Static Public Member Functions inherited from MWAWPictData
static ReadResult | check (MWAWInputStreamPtr input, int size, MWAWBox2f &box)
| checks if the data pointed by input is known More...
static MWAWPictData * | get (MWAWInputStreamPtr input, int size)
| checks if the data pointed by input is known More...

## Protected Member Functions
| MWAWPictMac (MWAWBox2f box)
| protected constructor: use check to construct a picture More...
Protected Member Functions inherited from MWAWPictData
| MWAWPictData ()
| protected constructor: use check to construct a picture More...
| MWAWPictData (MWAWBox2f &)
Protected Member Functions inherited from MWAWPict
void | extendBDBox (float val)
| udaptes the bdbox, by extended it by (val-previousVal) More...
| MWAWPict ()
| protected constructor must not be called directly More...
| MWAWPict (MWAWPict const &p)
| protected constructor must not be called directly More...
MWAWPict & | operator= (MWAWPict const &p)
| protected operator= must not be called directly More...

## Static Protected Member Functions
static ReadResult | checkOrGet (MWAWInputStreamPtr input, int size, MWAWBox2f &box, MWAWPictData **result=0L)
| checks if the data pointed by input and of given size is a pict 1.0, 2.0 or 2.1 More...
Static Protected Member Functions inherited from MWAWPictData
static bool | createFileData (librevenge::RVNGBinaryData const &orig, librevenge::RVNGBinaryData &result)
| a file pict can be created from the data pict by adding a header with size 512, this function do this conversion needed to return the final picture More...
static ReadResult | checkOrGet (MWAWInputStreamPtr input, int size, MWAWBox2f &box, MWAWPictData **result=0L)
| checks if the data pointed by input and of given size is a pict More...
Static Protected Member Functions inherited from MWAWPict
static MWAWBox2f | getBdBox (int numPt, MWAWVec2f const *pt)
| computes the minimum and maximum of a list of point More...

## Protected Attributes
int | m_version
| the picture version More...
int | m_subVersion
| the picture subversion More...
Protected Attributes inherited from MWAWPictData
librevenge::RVNGBinaryData | m_data
| the data size (without the empty header of 512 characters) More...
bool | m_empty
| some picture can be valid but empty More...

## Friends
class | MWAWPictData

## Additional Inherited Members
Public Types inherited from MWAWPictData
enum | SubType { PictMac, DB3, Unknown }
| the picture subtype More...
Public Types inherited from MWAWPict
enum | Type { PictData, Bitmap, Unknown }
| the different picture types: More...
enum | ReadResult { MWAW_R_BAD =0, MWAW_R_OK, MWAW_R_OK_EMPTY, MWAW_R_MAYBE }
| an enum to defined the result of a parsing use by some picture's classes which can read their data More...

## Detailed Description

Class to read/store a Mac Pict1.0/2.0.

## Constructor & Destructor Documentation

## ◆ ~MWAWPictMac()

MWAWPictMac::~MWAWPictMac | ( |  | ) |
| virtual

destructor

## ◆ MWAWPictMac()

MWAWPictMac::MWAWPictMac | ( | MWAWBox2f | box | ) |
| inlineexplicitprotected

protected constructor: use check to construct a picture

Referenced by checkOrGet().

## Member Function Documentation

## ◆ checkOrGet()

MWAWPictMac::ReadResult MWAWPictMac::checkOrGet | ( | MWAWInputStreamPtr | input,
|  | int | size,
|  | MWAWBox2f & | box,
|  | MWAWPictData ** | result = `0L`
| ) |  |
| staticprotected

checks if the data pointed by input and of given size is a pict 1.0, 2.0 or 2.1

- if not returns MWAW_R_BAD
- if true
- fills box if possible
- creates a picture if result is given

Referenced by MWAWPictData::checkOrGet(), and ~MWAWPictMac().

## ◆ cmp()

virtual int MWAWPictMac::cmp | ( | MWAWPict const & | a | ) | const
| inlinevirtual

a virtual function used to obtain a strict order, must be redefined in the subs class

Reimplemented from MWAWPictData.

## ◆ convertPict1To2()

bool MWAWPictMac::convertPict1To2 | ( | librevenge::RVNGBinaryData const & | orig,
|  | librevenge::RVNGBinaryData & | result
| ) |  |
| static

convert a Pict1.0 in Pict2.0, if possible

Referenced by cmp(), and getBinary().

## ◆ getBinary()

virtual bool MWAWPictMac::getBinary | ( | MWAWEmbeddedObject & | picture | ) | const
| inlinevirtual

returns the final picture

Reimplemented from MWAWPictData.

## ◆ getSubType()

virtual SubType MWAWPictMac::getSubType | ( |  | ) | const
| inlinevirtual

returns the picture subtype

Implements MWAWPictData.

## ◆ valid()

virtual bool MWAWPictMac::valid | ( |  | ) | const
| inlinevirtual

returns true if the picture is valid

Reimplemented from MWAWPictData.

Referenced by getBinary().

## Friends And Related Function Documentation

## ◆ MWAWPictData

friend class MWAWPictData
| friend

## Member Data Documentation

## ◆ m_subVersion

int MWAWPictMac::m_subVersion
| protected

the picture subversion

Referenced by checkOrGet(), and cmp().

## ◆ m_version

int MWAWPictMac::m_version
| protected

the picture version

Referenced by checkOrGet(), cmp(), getBinary(), and valid().

The documentation for this class was generated from the following files:

- MWAWPictMac.hxx
- MWAWPictMac.cxx